Bug 702670 - xinetd leaking file descriptors
Summary: xinetd leaking file descriptors
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xinetd
Version: 16
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Vojtech Vitek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 790036 852274
TreeView+ depends on / blocked
 
Reported: 2011-05-06 14:31 UTC by Chris Zwilling
Modified: 2015-03-04 23:57 UTC (History)
4 users (show)

(edit)
Clone Of:
: 790036 (view as bug list)
(edit)
Last Closed: 2012-01-28 03:27:11 UTC


Attachments (Terms of Use)

Description Chris Zwilling 2011-05-06 14:31:13 UTC
Description of problem:
xinetd is filling the log file up with:
May  6 09:22:54 ccfg-node1 xinetd[29679]: 25 descriptors still set
May  6 09:22:54 ccfg-node1 xinetd[29679]: 25 descriptors still set
May  6 09:22:54 ccfg-node1 xinetd[29679]: 25 descriptors still set
May  6 09:22:54 ccfg-node1 xinetd[29679]: 25 descriptors still set
May  6 09:22:54 ccfg-node1 xinetd[29679]: 25 descriptors still set
May  6 09:22:54 ccfg-node1 xinetd[29679]: 25 descriptors still set
May  6 09:22:54 ccfg-node1 xinetd[29679]: 25 descriptors still set
May  6 09:22:54 ccfg-node1 xinetd[29679]: 25 descriptors still set
May  6 09:22:54 ccfg-node1 xinetd[29679]: 25 descriptors still set
May  6 09:22:54 ccfg-node1 xinetd[29679]: 25 descriptors still set



Version-Release number of selected component (if applicable):
[root@ccfg-node1 logs]# rpm -q xinetd
xinetd-2.3.14-33.fc14.x86_64


How reproducible:
40,000 cable modems hitting the daytime service (UDP port 37)

Steps to Reproduce:
1. Enable daytime in /etc/xinetd.d/daytime*
2. Turn 40,000 cable modems loose on said daytime service
3. Profit!!!
  
Actual results:
The log file grows at an unsustainable rate (6GB in 20 minutes!)


Expected results:
Peace, serenity and a cup of coffee...oh and daytime acting in a sane fashion.


Additional info:
This looks similar to bug 573764.

Comment 1 Jan Synacek 2012-01-11 13:44:19 UTC
It seems that xinetd is leaving a file descriptor open everytime it hits the cps limit and temporarily shuts down the service. You can work around this by setting "cps" in xinetd.conf to a very high value, for example like this:

cps 40000 10

This doesn't solve the root cause of the problem, though. I'm not sure how to fix this yet.
I'm also bumping the version for this to 16, as this bug is present in the latest version of xinetd.

Comment 2 Jan Synacek 2012-01-16 11:11:08 UTC
Fixed in rawhide,
http://lists.fedoraproject.org/pipermail/scm-commits/2012-January/720307.html

Fixes for stable releases are coming soon.

Comment 3 Fedora Update System 2012-01-19 09:23:43 UTC
xinetd-2.3.14-40.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/xinetd-2.3.14-40.fc16

Comment 4 Fedora Update System 2012-01-19 22:01:59 UTC
Package xinetd-2.3.14-40.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xinetd-2.3.14-40.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0713/xinetd-2.3.14-40.fc16
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-01-28 03:27:11 UTC
xinetd-2.3.14-40.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 jeff 2012-01-31 20:24:28 UTC
Still happens with xinetd Version 2.3.14 libwrap loadavg
 50% cpu usage
Jan 31 13:45:48 one4 xinetd[6737]: 1 descriptors still set
Jan 31 13:45:48 one4 xinetd[6737]: 1 descriptors still set
Jan 31 13:45:48 one4 xinetd[6737]: 1 descriptors still set
Jan 31 13:45:48 one4 xinetd[6737]: 1 descriptors still set
Jan 31 13:45:48 one4 xinetd[6737]: 1 descriptors still set
Jan 31 13:45:48 one4 xinetd[6737]: 1 descriptors still set
Jan 31 13:45:48 one4 xinetd[6737]: 1 descriptors still set
Jan 31 13:45:48 one4 xinetd[6737]: 1 descriptors still set
Jan 31 13:45:48 one4 xinetd[6737]: 1 descriptors still set
Jan 31 13:45:48 one4 rsyslogd-2177: imuxsock begins to drop messages from pid 6737 due to rate-limiting

Kernel is:
Linux one4.biz 3.2.2-1.fc16.x86_64 #1 SMP Thu Jan 26 03:21:58 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux


Tried to updated as above and but package no longer exists, Perhaps ready to deploy.
su -c 'yum update --enablerepo=updates-testing xinetd-2.3.14-40.fc16'
Password: 
Loaded plugins: presto, refresh-packagekit, security
updates-testing/metalink                                 |  16 kB     00:00     
updates-testing                                          | 4.7 kB     00:00     
updates-testing/primary_db                               | 1.1 MB     00:01     
Setting up Update Process
No Packages marked for Update


Checked repo list tried it with 
su -c 'yum update --enablerepo=fedora-updates-testing xinetd-2.3.14-40.fc16'
Password: 
Loaded plugins: presto, refresh-packagekit, security


Error getting repository data for fedora-updates-testing, repository not found

Comment 7 Jan Synacek 2012-02-01 06:31:54 UTC
I'm not sure if I understand correctly. Make sure you have the latest version of xinetd (2.3.14-40 in f16; e.g. by running 'rpm -q xinetd'). If not, please update to the latest version ('yum update xinetd' without enabling testing repos, as this package is stable) and try again. Your problem should be solved by this update.

Comment 8 jeff 2012-02-01 14:39:54 UTC
[ jeff]# rpm -q xinetd
xinetd-2.3.14-40.fc16.x86_64

Looping away rsyslogd stops when xinetd is killed
top - 08:36:40 up 19:30,  6 users,  load average: 2.15, 2.68, 2.75
Tasks: 309 total,   3 running, 306 sleeping,   0 stopped,   0 zombie
Cpu(s):  5.2%us, 81.7%sy,  0.0%ni,  0.0%id,  0.0%wa, 12.8%hi,  0.3%si,  0.0%st
Mem:   2052684k total,  1907288k used,   145396k free,     3020k buffers
Swap:  2326524k total,  1485048k used,   841476k free,   105780k cached
Which user (blank for all): 
  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND            
 8914 root      20   0 22288  592  504 R 38.2  0.0 499:59.54 xinetd             
  851 root      20   0  237m 1080  656 S 31.5  0.1 430:01.54 rsyslogd  


top - 08:39:17 up 19:33,  6 users,  load average: 2.31, 2.57, 2.70
Tasks: 309 total,   1 running, 308 sleeping,   0 stopped,   0 zombie
Cpu(s):  5.8%us, 10.4%sy,  0.0%ni, 62.9%id,  0.0%wa, 20.5%hi,  0.4%si,  0.0%st
Mem:   2052684k total,  1941700k used,   110984k free,     1232k buffers
Swap:  2326524k total,  1500624k used,   825900k free,   111104k cached
Which user (blank for all): 
  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND            
 9768 jeff      20   0 1846m 745m  15m S 13.2 37.2   4:12.44 firefox            
 9840 jeff      20   0 1042m 163m 6156 S  9.9  8.2   1:42.25 npviewer.bin

Comment 9 Jan Synacek 2012-02-02 07:22:08 UTC
Can you please provide your xinetd.conf and service configs you are using?

Comment 10 jeff 2012-02-02 16:23:11 UTC
Here you go should be default from the beginning...

[jeff@one4 etc]$ cat xinetd.conf
#
# This is the master xinetd configuration file. Settings in the
# default section will be inherited by all service configurations
# unless explicitly overridden in the service configuration. See
# xinetd.conf in the man pages for a more detailed explanation of
# these attributes.

defaults
{
# The next two items are intended to be a quick access place to
# temporarily enable or disable services.
#
#       enabled         =
#       disabled        =

# Define general logging characteristics.
        log_type        = SYSLOG daemon info 
        log_on_failure  = HOST
        log_on_success  = PID HOST DURATION EXIT

# Define access restriction defaults
#
#       no_access       =
#       only_from       =
#       max_load        = 0
        cps             = 50 10
        instances       = 50
        per_source      = 10

# Address and networking defaults
#
#       bind            =
#       mdns            = yes
        v6only          = no

# setup environmental attributes
#
#       passenv         =
        groups          = yes
        umask           = 002

# Generally, banners are not used. This sets up their global defaults
#
#       banner          =
#       banner_fail     =
#       banner_success  =
}

includedir /etc/xinetd.d

[jeff@one4 etc]$ ls -l xinetd.d
total 76
-rw-r--r--. 1 root root  349 Mar 14  2011 apgd
-rw-r--r--. 1 root root 1145 Jun 28  2010 chargen-dgram
-rw-r--r--. 1 root root 1147 Jun 28  2010 chargen-stream
-rw-r--r--  1 root root  239 Nov 11 07:19 cups-lpd
-rw-r--r--. 1 root root  238 Jun 28  2010 cups-lpd.rpmsave
-rw-r--r--. 1 root root  521 Jun 28  2010 cvs.rpmsave
-rw-r--r--. 1 root root 1145 Jun 28  2010 daytime-dgram
-rw-r--r--. 1 root root 1147 Jun 28  2010 daytime-stream
-rw-r--r--. 1 root root 1145 Jun 28  2010 discard-dgram
-rw-r--r--. 1 root root 1147 Jun 28  2010 discard-stream
-rw-r--r--. 1 root root 1136 Jun 28  2010 echo-dgram
-rw-r--r--. 1 root root 1138 Jun 28  2010 echo-stream
-rw-r--r--. 1 root root  331 Jun 28  2010 rsync
-rw-r--r--. 1 root root 1200 Jun 28  2010 tcpmux-server
-rw-r--r--. 1 root root  302 Jun 28  2010 telnet
-rw-r--r--  1 root root  518 Jan  4 04:00 tftp
-rw-r--r--. 1 root root 1137 Jun 28  2010 time-dgram
-rw-r--r--. 1 root root 1138 Jun 28  2010 time-stream
-rw-r--r--  1 root root  260 Dec  8 17:05 vsftpd

Recent changes
[jeff@one4 xinetd.d]$ cat vsftpd
# default: off
# description: The vsftpd FTP server serves FTP connections. It uses\
# normal, unencrypted usernames and passwords for authentication.
service ftp
{
        disable = no
socket_type = stream
wait = no
user = root
server = /usr/sbin/vsftpd
nice = 10
}

This one changed but I do not remember doing it, perhaps an upgrade
[jeff@one4 xinetd.d]$ cat tftp
# default: off
# description: The tftp server serves files using the trivial file transfer \
#       protocol.  The tftp protocol is often used to boot diskless \
#       workstations, download configuration files to network-aware printers, \
#       and to start the installation process for some operating systems.
service tftp
{
        socket_type             = dgram
        protocol                = udp
        wait                    = yes
        user                    = root
        server                  = /usr/sbin/in.tftpd
        server_args             = -s /var/lib/tftpboot
        disable                 = yes
        per_source              = 11
        cps                     = 100 2
        flags                   = IPv4
}


[jeff@one4 xinetd.d]$ chkconfig |grep on

Note: This output shows SysV services only and does not include native
      systemd services. SysV configuration data might be overridden by native
      systemd configuration.

DarwinStreamingServer   0:off   1:off   2:off   3:off   4:off   5:on    6:off
amavisd         0:off   1:off   2:on    3:on    4:on    5:on    6:off
clamd.amavisd   0:off   1:off   2:on    3:on    4:on    5:on    6:off
denyhosts       0:off   1:off   2:on    3:on    4:on    5:on    6:off
dkms_autoinstaller      0:off   1:off   2:on    3:on    4:on    5:on    6:off
fail2ban        0:off   1:off   2:on    3:on    4:on    5:on    6:off
jexec           0:on    1:on    2:on    3:on    4:on    5:on    6:on
libvirt-guests  0:off   1:off   2:off   3:on    4:on    5:on    6:off
libvirtd        0:off   1:off   2:off   3:on    4:on    5:on    6:off
netconsole      0:off   1:off   2:off   3:off   4:off   5:off   6:off
netfs           0:off   1:off   2:off   3:on    4:on    5:on    6:off
preload         0:off   1:off   2:on    3:on    4:on    5:on    6:off
vboxadd         0:off   1:off   2:on    3:on    4:on    5:on    6:off
vboxadd-service 0:off   1:off   2:on    3:on    4:on    5:on    6:off
vboxadd-x11     0:off   1:off   2:off   3:on    4:off   5:on    6:off
webmin          0:off   1:off   2:on    3:on    4:off   5:on    6:off
wine            0:off   1:off   2:off   3:off   4:off   5:on    6:off

[jeff@one4 xinetd.d]$ systemctl
UNIT                                                                LOAD   ACTIVE SUB       JOB DESCRIPTION
proc-sys-fs-binfmt_misc.automount                                   loaded active running       Arbitrary Executable File Formats File System Automount Point
sys-devices-pci0000:00-0000:00:03.0-virtio0-net-eth1.device         loaded active plugged       Virtio network device
sys-devices-pci0000:00-0000:00:05.0-sound-card1.device              loaded active plugged       82801FB/FBM/FR/FW/FRW (ICH6 Family) High Definition Audio Controller
sys-devices-pci0000:00...host1-target1:0:0-1:0:0:0-block-sr0.device loaded active plugged       VBOX_CD-ROM
sys-devices-pci0000:00...-target0:0:0-0:0:0:0-block-sda-sda1.device loaded active plugged       VBOX_HARDDISK
sys-devices-pci0000:00...-target0:0:0-0:0:0:0-block-sda-sda2.device loaded active plugged       VBOX_HARDDISK
sys-devices-pci0000:00...host0-target0:0:0-0:0:0:0-block-sda.device loaded active plugged       VBOX_HARDDISK
sys-devices-pci0000:00...-usb1-1\x2d1-1\x2d1:1.2-sound-card0.device loaded active plugged       USB2.0_UVC_VGA
sys-devices-platform-serial8250-tty-ttyS0.device                    loaded active plugged       /sys/devices/platform/serial8250/tty/ttyS0
sys-devices-platform-serial8250-tty-ttyS1.device                    loaded active plugged       /sys/devices/platform/serial8250/tty/ttyS1
sys-devices-platform-serial8250-tty-ttyS2.device                    loaded active plugged       /sys/devices/platform/serial8250/tty/ttyS2
sys-devices-platform-serial8250-tty-ttyS3.device                    loaded active plugged       /sys/devices/platform/serial8250/tty/ttyS3
sys-devices-virtual-block-dm\x2d0.device                            loaded active plugged       /sys/devices/virtual/block/dm-0
sys-devices-virtual-block-dm\x2d1.device                            loaded active plugged       /sys/devices/virtual/block/dm-1
sys-devices-virtual-net-virbr0.device                               loaded active plugged       /sys/devices/virtual/net/virbr0
sys-devices-virtual-net-virbr0\x2dnic.device                        loaded active plugged       /sys/devices/virtual/net/virbr0-nic
sys-devices-virtual-tty-tty0.device                                 loaded active plugged       /sys/devices/virtual/tty/tty0
sys-devices-virtual-tty-tty1.device                                 loaded active plugged       /sys/devices/virtual/tty/tty1
sys-devices-virtual-tty-tty10.device                                loaded active plugged       /sys/devices/virtual/tty/tty10
sys-devices-virtual-tty-tty11.device                                loaded active plugged       /sys/devices/virtual/tty/tty11
sys-devices-virtual-tty-tty12.device                                loaded active plugged       /sys/devices/virtual/tty/tty12
sys-devices-virtual-tty-tty2.device                                 loaded active plugged       /sys/devices/virtual/tty/tty2
sys-devices-virtual-tty-tty3.device                                 loaded active plugged       /sys/devices/virtual/tty/tty3
sys-devices-virtual-tty-tty4.device                                 loaded active plugged       /sys/devices/virtual/tty/tty4
sys-devices-virtual-tty-tty5.device                                 loaded active plugged       /sys/devices/virtual/tty/tty5
sys-devices-virtual-tty-tty6.device                                 loaded active plugged       /sys/devices/virtual/tty/tty6
sys-devices-virtual-tty-tty7.device                                 loaded active plugged       /sys/devices/virtual/tty/tty7
sys-devices-virtual-tty-tty8.device                                 loaded active plugged       /sys/devices/virtual/tty/tty8
sys-devices-virtual-tty-tty9.device                                 loaded active plugged       /sys/devices/virtual/tty/tty9
sys-module-configfs.device                                          loaded active plugged       /sys/module/configfs
sys-module-fuse.device                                              loaded active plugged       /sys/module/fuse
-.mount                                                             loaded active mounted       /
boot.mount                                                          loaded active mounted       /boot
dev-hugepages.mount                                                 loaded active mounted       Huge Pages File System
dev-mqueue.mount                                                    loaded active mounted       POSIX Message Queue File System
home-carol-.gvfs.mount                                              loaded active mounted       /home/carol/.gvfs
home-jeff-.gvfs.mount                                               loaded active mounted       /home/jeff/.gvfs
home-jill-.gvfs.mount                                               loaded active mounted       /home/jill/.gvfs
media-sf_Shared.mount                                               loaded active mounted       /media/sf_Shared
media-shared.mount                                                  loaded active mounted       /media/shared
media.mount                                                         loaded active mounted       Media Directory
proc-sys-fs-binfmt_misc.mount                                       loaded active mounted       Arbitrary Executable File Formats File System
sys-fs-fuse-connections.mount                                       loaded active mounted       FUSE Control File System
sys-kernel-config.mount                                             loaded active mounted       Configuration File System
sys-kernel-debug.mount                                              loaded active mounted       Debug File System
sys-kernel-security.mount                                           loaded active mounted       Security File System
var-lib-nfs-rpc_pipefs.mount                                        loaded active mounted       RPC Pipe File System
var-lock.mount                                                      loaded active mounted       Lock Directory
var-run.mount                                                       loaded active mounted       Runtime Directory
cups.path                                                           loaded active waiting       CUPS Printer Service Spool
systemd-ask-password-plymouth.path                                  loaded active waiting       Forward Password Requests to Plymouth Directory Watch
systemd-ask-password-wall.path                                      loaded active waiting       Forward Password Requests to Wall Directory Watch
abrtd.service                                                       loaded active running       ABRT Automated Bug Reporting Tool
amavisd.service                                                     loaded active running       SYSV: amavisd is an interface between MTA and content checkers
atd.service                                                         loaded active running       Job spooling tools
avahi-daemon.service                                                loaded active running       Avahi mDNS/DNS-SD Stack
bootchart.service                                                   loaded active exited        Collect Bootchart Data
clamd.amavisd.service                                               loaded active running       SYSV: The clamd server running for amavisd
console-kit-daemon.service                                          loaded active running       Console Manager
console-kit-log-system-start.service                                loaded active exited        Console System Startup Logging
crond.service                                                       loaded active running       Command Scheduler
cups.service                                                        loaded active running       CUPS Printing Service
dbus.service                                                        loaded active running       D-Bus System Message Bus
denyhosts.service                                                   loaded active running       LSB: Enable execution of denyhosts, an SSH log watcher
dkms_autoinstaller.service                                          loaded active exited        LSB: Automatically install DKMS modules for new kernels
dovecot.service                                                     loaded active running       Dovecot IMAP/POP3 email server
fail2ban.service                                                    loaded active running       SYSV: Fail2ban daemon
fedora-loadmodules.service                                          loaded active exited        Load legacy module configuration
fedora-readonly.service                                             loaded active exited        Configure read-only root support
fedora-storage-init-late.service                                    loaded active exited        Initialize storage subsystems (RAID, LVM, etc.)
fedora-storage-init.service                                         loaded active exited        Initialize storage subsystems (RAID, LVM, etc.)
fedora-wait-storage.service                                         loaded active exited        Wait for storage scan
getty@tty2.service                                                  loaded active running       Getty on tty2
getty@tty3.service                                                  loaded active running       Getty on tty3
getty@tty4.service                                                  loaded active running       Getty on tty4
getty@tty5.service                                                  loaded active running       Getty on tty5
getty@tty6.service                                                  loaded active running       Getty on tty6
httpd.service                                                       loaded active running       The Apache HTTP Server (prefork MPM)
jexec.service                                                       loaded active exited        LSB: Supports the direct execution of binary formats.
ksm.service                                                         loaded active exited        Kernel Samepage Merging
ksmtuned.service                                                    loaded active running       Kernel Samepage Merging (KSM) Tuning Daemon
libvirt-guests.service                                              loaded active exited        LSB: suspend/resume libvirt guests on shutdown/boot
libvirtd.service                                                    loaded active running       LSB: daemon for libvirt virtualization API
lvm2-monitor.service                                                loaded active exited        Monitoring of LVM2 mirrors, snapshots etc. using dmeventd or progres
mcelog.service                                                      loaded active running       Machine Check Exception Logging Daemon
mysqld.service                                                      loaded active running       MySQL database server
netfs.service                                                       loaded active exited        LSB: Mount and unmount network filesystems.
NetworkManager.service                                              loaded active running       Network Manager
nfs-idmap.service                                                   loaded active running       NFSv4 ID-name mapping daemon
nfs-lock.service                                                    loaded active running       NFS file locking service.
ntpd.service                                                        loaded active running       Network Time Service
pcscd.service                                                       loaded active running       PC/SC Smart Card Daemon
prefdm.service                                                      loaded active running       Display Manager
preload.service                                                     loaded active running       LSB: Adaptive readahead daemon
rc-local.service                                                    loaded active exited        /etc/rc.d/rc.local Compatibility
remount-rootfs.service                                              loaded active exited        Remount Root FS
rpcbind.service                                                     loaded active running       RPC bind service
rsyslog.service                                                     loaded active running       System Logging Service
rtkit-daemon.service                                                loaded active running       RealtimeKit Scheduling Policy Service
sendmail.service                                                    loaded active running       Sendmail Mail Transport Agent
sm-client.service                                                   loaded active running       Sendmail Mail Transport Client
sshd-keygen.service                                                 loaded active exited        SSH server keys generation.
sshd.service                                                        loaded active running       OpenSSH server daemon
systemd-binfmt.service                                              loaded active exited        Set Up Additional Binary Formats
systemd-logind.service                                              loaded active running       Login Service
systemd-remount-api-vfs.service                                     loaded active exited        Remount API VFS
systemd-stdout-syslog-bridge.service                                loaded active running       STDOUT Syslog Bridge
systemd-sysctl.service                                              loaded active exited        Apply Kernel Variables
systemd-tmpfiles-setup.service                                      loaded active exited        Recreate Volatile Files and Directories
systemd-user-sessions.service                                       loaded active exited        Permit User Sessions
systemd-vconsole-setup.service                                      loaded active exited        Setup Virtual Console
udev-settle.service                                                 loaded active exited        udev Wait for Complete Device Initialization
udev-trigger.service                                                loaded active exited        udev Coldplug all Devices
udev.service                                                        loaded active running       udev Kernel Device Manager
vboxadd-service.service                                             loaded active running       LSB: VirtualBox Additions service
vboxadd-x11.service                                                 loaded active exited        LSB: VirtualBox Linux Additions kernel modules
vboxadd.service                                                     loaded active exited        LSB: VirtualBox Linux Additions kernel modules
vncserver@:3.service                                                loaded active running       Remote desktop service (VNC)
vncserver@:4.service                                                loaded active running       Remote desktop service (VNC)
vncserver@:5.service                                                loaded active running       Remote desktop service (VNC)
vncserver@multi-user.service                                        loaded failed failed        Remote desktop service (VNC)
vsftpd.service                                                      loaded active running       Vsftpd ftp daemon
webmin.service                                                      loaded active running       LSB: Start or stop the Webmin server
wine.service                                                        loaded active exited        LSB: Add and remove wine binary handler
avahi-daemon.socket                                                 loaded active listening     Avahi mDNS/DNS-SD Stack Activation Socket
cups.socket                                                         loaded active running       CUPS Printing Service Sockets
dbus.socket                                                         loaded active running       D-Bus System Message Bus Socket
dm-event.socket                                                     loaded active listening     Device-mapper event daemon FIFOs
pcscd.socket                                                        loaded active running       PC/SC Smart Card Daemon Activation Socket
rpcbind.socket                                                      loaded active listening     RPCbind Server Activation Socket
syslog.socket                                                       loaded active running       Syslog Socket
systemd-initctl.socket                                              loaded active listening     /dev/initctl Compatibility Named Pipe
systemd-shutdownd.socket                                            loaded active listening     Delayed Shutdown Socket
systemd-stdout-syslog-bridge.socket                                 loaded active running       Stdio Syslog Bridge Socket
udev-control.socket                                                 loaded active running       udev Control Socket
udev-kernel.socket                                                  loaded active running       udev Kernel Socket
dev-dm\x2d1.swap                                                    loaded active active        /dev/dm-1
basic.target                                                        loaded active active        Basic System
cryptsetup.target                                                   loaded active active        Encrypted Volumes
getty.target                                                        loaded active active        Login Prompts
graphical.target                                                    loaded active active        Graphical Interface
local-fs-pre.target                                                 loaded active active        Local File Systems (Pre)
local-fs.target                                                     loaded active active        Local File Systems
multi-user.target                                                   loaded active active        Multi-User
network.target                                                      loaded active active        Network
remote-fs.target                                                    loaded active active        Remote File Systems
sockets.target                                                      loaded active active        Sockets
sound.target                                                        loaded active active        Sound Card
swap.target                                                         loaded active active        Swap
sysinit.target                                                      loaded active active        System Initialization
syslog.target                                                       loaded active active        Syslog
bootchart-done.timer                                                loaded active elapsed       Stop Bootchart after Completed Startup
systemd-tmpfiles-clean.timer                                        loaded active waiting       Daily Cleanup of Temporary Directories

LOAD   = Reflects whether the unit definition was properly loaded.
ACTIVE = The high-level unit activation state, i.e. generalization of SUB.
SUB    = The low-level unit activation state, values depend on unit type.
JOB    = Pending job for the unit.

153 units listed. Pass --all to see inactive units, too.
(END)

Comment 11 Jan Synacek 2012-02-03 10:23:05 UTC
I'm unable to reproduce this issue.

Is ftp service the only one enabled in xinetd?
In what scenario can you see the problem appear?
You can also run xinetd in debug mode (xinetd -d) to see if there's any more info present.

Comment 12 jeff 2012-02-03 16:35:29 UTC
Hmmm...

[jeff@one4 xinetd.d]$ grep disable *
apgd:        disable         = yes
chargen-dgram:  disable = yes
chargen-stream: disable = yes
cups-lpd:       disable = yes
cups-lpd.rpmsave:       disable = no
cvs.rpmsave:    disable = yes
daytime-dgram:  disable = yes
daytime-stream: disable = yes
discard-dgram:  disable = yes
discard-stream: disable = yes
echo-dgram:     disable = yes
echo-stream:    disable = yes
rsync:  disable = no
tcpmux-server:  disable = yes
telnet: disable = no
tftp:   disable                 = yes
time-dgram:     disable = yes
time-stream:    disable = yes
vsftpd: disable = no

vsftpd is disabled but running?
jeff@one4 xinetd.d]$ ps -ef|grep ftp
root      1006     1  0 Jan31 ?        00:00:00 /usr/sbin/vsftpd /etc/vsftpd/vsftpd.conf

Loop in Main
12/2/3@10:34:03: DEBUG: 9065 {main_loop} select returned 1
12/2/3@10:34:03: ERROR: 9065 {main_loop} 1 descriptors still set
12/2/3@10:34:03: DEBUG: 9065 {main_loop} active_services = 2
12/2/3@10:34:03: DEBUG: 9065 {main_loop} select returned 1
12/2/3@10:34:03: ERROR: 9065 {main_loop} 1 descriptors still set
12/2/3@10:34:03: DEBUG: 9065 {main_loop} active_services = 2
12/2/3@10:34:03: DEBUG: 9065 {main_loop} select returned 1
12/2/3@10:34:03: ERROR: 9065 {main_loop} 1 descriptors still set
12/2/3@10:34:03: DEBUG: 9065 {main_loop} active_services = 2
12/2/3@10:34:03: DEBUG: 9065 {main_loop} select returned 1
12/2/3@10:34:03: ERROR: 9065 {main_loop} 1 descriptors still set
12/2/3@10:34:03: DEBUG: 9065 {main_loop} active_services = 2
12/2/3@10:34:03: DEBUG: 9065 {main_loop} select returned 1
12/2/3@10:34:03: ERROR: 9065 {main_loop} 1 descriptors still set
12/2/3@10:34:03: DEBUG: 9065 {main_loop} active_services = 2
12/2/3@10:34:03: DEBUG: 9065 {main_loop} select returned 1
12/2/3@10:34:03: ERROR: 9065 {main_loop} 1 descriptors still set
12/2/3@10:34:03: DEBUG: 9065 {main_loop} active_services = 2
12/2/3@10:34:03: DEBUG: 9065 {main_loop} select returned 1
12/2/3@10:34:03: ERROR: 9065 {main_loop} 1 descriptors still set
12/2/3@10:34:03: DEBUG: 9065 {main_loop} active_services = 2
12/2/3@10:34:03: DEBUG: 9065 {main_loop} select returned 1
12/2/3@10:34:03: ERROR: 9065 {main_loop} 1 descriptors still set
12/2/3@10:34:03: DEBUG: 9065 {main_loop} active_services = 2
12/2/3@10:34:03: DEBUG: 9065 {main_loop} select returned 1
12/2/3@10:34:03: ERROR: 9065 {main_loop} 1 descriptors still set
12/2/3@10:34:03: DEBUG: 9065 {main_loop} active_services = 2
12/2/3@10:34:03: DEBUG: 9065 {main_loop} select returned 1
12/2/3@10:34:03: ERROR: 9065 {main_loop} 1 descriptors still set
12/2/3@10:34:03: DEBUG: 9065 {main_loop} active_services = 2
12/2/3@10:34:03: DEBUG: 9065 {main_loop} select returned 1
12/2/3@10:34:03: ERROR: 9065 {main_loop} 1 descriptors still set


Note You need to log in before you can comment on or make changes to this bug.